diff --git a/game/client/src/main/java/net/minecraft/client/render/culling/FrustumCuller.java b/game/client/src/main/java/net/minecraft/client/render/culling/FrustumCuller.java
index 7a3e78128..4f40349be 100644
--- a/game/client/src/main/java/net/minecraft/client/render/culling/FrustumCuller.java
+++ b/game/client/src/main/java/net/minecraft/client/render/culling/FrustumCuller.java
@@ -1,33 +1,30 @@
 package net.minecraft.client.render.culling;
 
-import net.minecraft.core.util.phys.AABB;
 
-public class FrustumCuller
-{
+import org.jetbrains.annotations.NotNull;
+import org.joml.primitives.AABBdc;
+
+public class FrustumCuller {
     private final FrustumData frustum;
     private double xOff;
     private double yOff;
     private double zOff;
 
-    public FrustumCuller()
-    {
-        frustum = Frustum.getFrustum();
+    public FrustumCuller() {
+        this.frustum = Frustum.getFrustum();
     }
 
-    public void prepare(double xOff, double yOff, double zOff)
-    {
+    public void prepare(double xOff, double yOff, double zOff) {
         this.xOff = xOff;
         this.yOff = yOff;
         this.zOff = zOff;
     }
 
-    public boolean cubeInFrustum(double x0, double y0, double z0, double x1, double y1, double z1)
-    {
-        return frustum.cubeInFrustum(x0 - xOff, y0 - yOff, z0 - zOff, x1 - xOff, y1 - yOff, z1 - zOff);
+    public boolean cubeInFrustum(double x0, double y0, double z0, double x1, double y1, double z1) {
+        return this.frustum.cubeInFrustum(x0 - this.xOff, y0 - this.yOff, z0 - this.zOff, x1 - this.xOff, y1 - this.yOff, z1 - this.zOff);
     }
 
-    public boolean isVisible(AABB aabb)
-    {
-        return cubeInFrustum(aabb.minX, aabb.minY, aabb.minZ, aabb.maxX, aabb.maxY, aabb.maxZ);
+    public boolean isVisible(@NotNull AABBdc aabb) {
+        return cubeInFrustum(aabb.minX(), aabb.minY(), aabb.minZ(), aabb.maxX(), aabb.maxY(), aabb.maxZ());
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/culling/IsometricCameraFrustum.java b/game/client/src/main/java/net/minecraft/client/render/culling/IsometricCameraFrustum.java
index 607df088b..e554ab3b3 100644
--- a/game/client/src/main/java/net/minecraft/client/render/culling/IsometricCameraFrustum.java
+++ b/game/client/src/main/java/net/minecraft/client/render/culling/IsometricCameraFrustum.java
@@ -1,7 +1,8 @@
 package net.minecraft.client.render.culling;
 
 import net.minecraft.client.render.camera.ICamera;
-import net.minecraft.core.util.phys.AABB;
+import org.jetbrains.annotations.NotNull;
+import org.joml.primitives.AABBdc;
 
 public class IsometricCameraFrustum
         extends CameraFrustum
@@ -18,7 +19,7 @@ public class IsometricCameraFrustum
     }
 
     @Override
-    public boolean isVisible(AABB aabb, float partialTick)
+    public boolean isVisible(@NotNull AABBdc aabb, float partialTick)
     {
         return true;
     }
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java
index f29a9cdc3..0d39a788f 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRenderer.java
@@ -5,6 +5,7 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.util.collection.NamespaceID;
 import org.jetbrains.annotations.NotNull;
+import org.joml.primitives.AABBdc;
 import org.lwjgl.opengl.GL11;
 
 import net.minecraft.client.render.EntityRenderDispatcher;
@@ -18,7 +19,6 @@ import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import org.useless.dragonfly.data.entity.mojang.EntityGeometryMojangData;
 import org.useless.dragonfly.models.entity.StaticEntityModel;
@@ -26,8 +26,7 @@ import org.useless.dragonfly.models.entity.StaticEntityModel;
 import java.util.HashMap;
 import java.util.Map;
 
-public abstract class EntityRenderer<T extends Entity>
-{
+public abstract class EntityRenderer<T extends Entity> {
     public static boolean renderShadows = true;
     private final @NotNull Map<@NotNull String, @NotNull StaticEntityModel> modelMap = new HashMap<>();
     protected EntityRenderDispatcher renderDispatcher = null;
@@ -36,19 +35,16 @@ public abstract class EntityRenderer<T extends Entity>
     private float shadowSize;
     protected float shadowOpacity;
 
-    public EntityRenderer(final float shadowSize)
-    {
+    public EntityRenderer(final float shadowSize) {
         this.shadowSize = shadowSize;
         this.shadowOpacity = 1.0F;
     }
 
-    public EntityRenderer()
-    {
+    public EntityRenderer() {
         this(0.0f);
     }
 
-    public float getShadowSize(final @NotNull T entity)
-    {
+    public float getShadowSize(final @NotNull T entity) {
         return this.shadowSize;
     }
 
@@ -59,11 +55,11 @@ public abstract class EntityRenderer<T extends Entity>
         render(tessellator, entity, x, y, z, yaw, partialTick);
     }
 
-    protected void bindTexture(final @NotNull String texturePath)
-    {
+    protected void bindTexture(final @NotNull String texturePath) {
         final TextureManager textureManager = this.renderDispatcher.textureManager;
         textureManager.bindTexture(textureManager.loadTexture(texturePath));
     }
+
     public boolean bindDownloadableTexture(final String urlTexture, final String backupTexture, final ImageParser imageParser) {
         return this.renderDispatcher.textureManager.bindDownloadableTexture(urlTexture, backupTexture, imageParser);
     }
@@ -89,42 +85,38 @@ public abstract class EntityRenderer<T extends Entity>
         return this;
     }
 
-    public void onWorldChanged(final @NotNull World world)
-    {
+    public void onWorldChanged(final @NotNull World world) {
     }
-    
-    private void renderFire(final @NotNull Tessellator tessellator, final @NotNull T entity, final double x, final double y, final double z, final float partialTick)
-    {
+
+    private void renderFire(final @NotNull Tessellator tessellator, final @NotNull T entity, final double x, final double y, final double z, final float partialTick) {
         GL11.glDisable(GL11.GL_LIGHTING);
         final IconCoordinate texture = TextureRegistry.getTexture("minecraft:block/fire");
         texture.parentAtlas.bind();
         GL11.glPushMatrix();
-        GL11.glTranslatef((float)x, (float)y, (float)z);
+        GL11.glTranslatef((float) x, (float) y, (float) z);
         final float f9 = entity.bbWidth * 1.4F;
         GL11.glScalef(f9, f9, f9);
         float f10 = 0.5F;
         final float f11 = 0.0F;
         float f12 = entity.bbHeight;
-        float f13 = (float)(entity.y - entity.bb.minY);
+        float f13 = (float) (entity.y - entity.bb.minY);
         GL11.glRotatef(-this.renderDispatcher.viewLerpYaw, 0.0F, 1.0F, 0.0F);
-        GL11.glTranslatef(0.0F, 0.0F, -0.3F + (float)(int)f12 * 0.02F);
+        GL11.glTranslatef(0.0F, 0.0F, -0.3F + (float) (int) f12 * 0.02F);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        if(LightmapHelper.isLightmapEnabled()) {
-        	int lightmapCoord = entity.getLightmap(partialTick);
-        	lightmapCoord = LightmapHelper.setBlocklightValue(lightmapCoord, 15);
-        	LightmapHelper.setLightmapCoord(lightmapCoord);
+        if (LightmapHelper.isLightmapEnabled()) {
+            int lightmapCoord = entity.getLightmap(partialTick);
+            lightmapCoord = LightmapHelper.setBlocklightValue(lightmapCoord, 15);
+            LightmapHelper.setLightmapCoord(lightmapCoord);
         }
         float f14 = 0.0F;
         int l = 0;
         tessellator.startDrawingQuads();
-        while(f12 > 0.0F)
-        {
+        while (f12 > 0.0F) {
             double f2 = texture.getIconUMin();
             double f4 = texture.getIconUMax();
             final double f6 = texture.getIconVMin();
             final double f8 = texture.getIconVMax();
-            if((l / 2) % 2 == 0)
-            {
+            if ((l / 2) % 2 == 0) {
                 final double f15 = f4;
                 f4 = f2;
                 f2 = f15;
@@ -145,17 +137,16 @@ public abstract class EntityRenderer<T extends Entity>
     }
 
     private void renderShadow(final @NotNull Tessellator tessellator, @NotNull final T entity, final double posX, final double posY, final double posZ,
-                              final float opacity, final float partialTick)
-    {
+                              final float opacity, final float partialTick) {
         GL11.glEnable(GL11.GL_BLEND);
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         final TextureManager textureManager = this.renderDispatcher.textureManager;
         textureManager.bindTexture(textureManager.loadTexture("/assets/minecraft/textures/misc/shadow.png"));
         final World world = entity.world;
         GL11.glDepthMask(false);
-        final double lerpX = entity.xo + (entity.x - entity.xo) * (double)partialTick;
-        final double lerpY = entity.yo + (entity.y - entity.yo) * (double)partialTick + (double)entity.getShadowHeightOffs();
-        final double lerpZ = entity.zo + (entity.z - entity.zo) * (double)partialTick;
+        final double lerpX = entity.xo + (entity.x - entity.xo) * (double) partialTick;
+        final double lerpY = entity.yo + (entity.y - entity.yo) * (double) partialTick + (double) entity.getShadowHeightOffs();
+        final double lerpZ = entity.zo + (entity.z - entity.zo) * (double) partialTick;
 
         final float shadowSize = getShadowSize(entity);
 
@@ -170,16 +161,12 @@ public abstract class EntityRenderer<T extends Entity>
         final double dzLerp = posZ - lerpZ;
         tessellator.startDrawingQuads();
 
-        for(int blockX = minX; blockX <= maxX; blockX++)
-        {
-            for(int blockY = minY; blockY <= maxY; blockY++)
-            {
-                for(int blockZ = minZ; blockZ <= maxZ; blockZ++)
-                {
+        for (int blockX = minX; blockX <= maxX; blockX++) {
+            for (int blockY = minY; blockY <= maxY; blockY++) {
+                for (int blockZ = minZ; blockZ <= maxZ; blockZ++) {
                     final int blockId = world.getBlockId(blockX, blockY - 1, blockZ);
-                    if(blockId > 0 && world.getBlockLightValue(blockX, blockY, blockZ) > 3)
-                    {
-                        renderShadowOnBlock(tessellator, entity, Blocks.blocksList[blockId], posX, posY + (double)entity.getShadowHeightOffs(), posZ, blockX, blockY, blockZ, opacity, shadowSize, dxLerp, dyLerp + (double)entity.getShadowHeightOffs(), dzLerp);
+                    if (blockId > 0 && world.getBlockLightValue(blockX, blockY, blockZ) > 3) {
+                        renderShadowOnBlock(tessellator, entity, Blocks.blocksList[blockId], posX, posY + (double) entity.getShadowHeightOffs(), posZ, blockX, blockY, blockZ, opacity, shadowSize, dxLerp, dyLerp + (double) entity.getShadowHeightOffs(), dzLerp);
                     }
                 }
 
@@ -194,144 +181,137 @@ public abstract class EntityRenderer<T extends Entity>
 
     private void renderShadowOnBlock(final @NotNull Tessellator tessellator, final @NotNull T entity, final @NotNull Block<?> block, final double d, final double d1, final double d2,
                                      final int x, final int y, final int z, final float opacity, final float size, final double xo,
-                                     final double yo, final double zo)
-    {
-        if(!block.isCubeShaped())
-        {
+                                     final double yo, final double zo) {
+        if (!block.isCubeShaped()) {
             return;
         }
         double brightness = entity.world.getLightBrightness(x, y, z);
         if (Global.accessor.isFullbrightEnabled()) brightness = 1.0f;
-        double alpha = ((double)opacity - (d1 - ((double)(y + 1) + yo)) / 2D) * 0.5D * brightness;
-        if(alpha < 0.0D)
-        {
+        double alpha = ((double) opacity - (d1 - ((double) (y + 1) + yo)) / 2D) * 0.5D * brightness;
+        if (alpha < 0.0D) {
             return;
         }
-        if(alpha > 1.0D)
-        {
+        if (alpha > 1.0D) {
             alpha = 1.0D;
         }
-        tessellator.setColorRGBA_F(1.0F, 1.0F, 1.0F, (float)alpha);
-        final AABB aabb = block.getCollisionBoundingBoxFromPool(entity.world, x, y, z);
-        if(aabb == null) {
-        	return;
+        tessellator.setColorRGBA_F(1.0F, 1.0F, 1.0F, (float) alpha);
+        final AABBdc aabb = block.getCollisionBoundingBoxFromPool(entity.world, x, y, z);
+        if (aabb == null) {
+            return;
         }
-        final double xMin = aabb.minX + xo;
-        final double xMax = aabb.maxX + xo;
-        final double yMin = aabb.maxY + yo + 0.015625D - 1;
-        final double zMin = aabb.minZ + zo;
-        final double zMax = aabb.maxZ + zo;
-        final float f2 = (float)((d - xMin) / 2D / (double)size + 0.5D);
-        final float f3 = (float)((d - xMax) / 2D / (double)size + 0.5D);
-        final float f4 = (float)((d2 - zMin) / 2D / (double)size + 0.5D);
-        final float f5 = (float)((d2 - zMax) / 2D / (double)size + 0.5D);
+        final double xMin = aabb.minX() + xo;
+        final double xMax = aabb.maxX() + xo;
+        final double yMin = aabb.maxY() + yo + 0.015625D - 1;
+        final double zMin = aabb.minZ() + zo;
+        final double zMax = aabb.maxZ() + zo;
+        final float f2 = (float) ((d - xMin) / 2D / (double) size + 0.5D);
+        final float f3 = (float) ((d - xMax) / 2D / (double) size + 0.5D);
+        final float f4 = (float) ((d2 - zMin) / 2D / (double) size + 0.5D);
+        final float f5 = (float) ((d2 - zMax) / 2D / (double) size + 0.5D);
         tessellator.addVertexWithUV(xMin, yMin, zMin, f2, f4);
         tessellator.addVertexWithUV(xMin, yMin, zMax, f2, f5);
         tessellator.addVertexWithUV(xMax, yMin, zMax, f3, f5);
         tessellator.addVertexWithUV(xMax, yMin, zMin, f3, f4);
     }
 
-    public static void renderOffsetAABB(final @NotNull Tessellator tessellator, final @NotNull AABB aabb, final double x, final double y, final double z)
-    {
+    public static void renderOffsetAABB(final @NotNull Tessellator tessellator, final @NotNull AABBdc aabb, final double x, final double y, final double z) {
         GL11.glDisable(GL11.GL_TEXTURE_2D);
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         tessellator.startDrawingQuads();
         tessellator.setTranslation(x, y, z);
         tessellator.setNormal(0.0F, 0.0F, -1F);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
         tessellator.setNormal(0.0F, 0.0F, 1.0F);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
         tessellator.setNormal(0.0F, -1F, 0.0F);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
         tessellator.setNormal(0.0F, 1.0F, 0.0F);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
         tessellator.setNormal(-1F, 0.0F, 0.0F);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
         tessellator.setNormal(1.0F, 0.0F, 0.0F);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
         tessellator.setTranslation(0.0D, 0.0D, 0.0D);
         tessellator.draw();
         GL11.glEnable(GL11.GL_TEXTURE_2D);
     }
 
-    public static void renderFlatAABB(final @NotNull AABB aabb)
-    {
+    public static void renderFlatAABB(final @NotNull AABBdc aabb) {
         final Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawingQuads();
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
+
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
+
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
+
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
         tessellator.draw();
     }
 
-    public void init(@NotNull final Class<? extends T> appliedClass, final @NotNull EntityRenderDispatcher dispatcher)
-    {
+    public void init(@NotNull final Class<? extends T> appliedClass, final @NotNull EntityRenderDispatcher dispatcher) {
         this.renderDispatcher = dispatcher;
         this.appliedClass = appliedClass;
     }
 
-    public void postRender(final @NotNull Tessellator tessellator, final @NotNull T entity, final double x, final double y, final double z, final float yaw, final float partialTick)
-    {
-        if(renderShadows && this.renderDispatcher.settings.fancyGraphics.value == 1 && getShadowSize(entity) > 0.0F)
-        {
+    public void postRender(final @NotNull Tessellator tessellator, final @NotNull T entity, final double x, final double y, final double z, final float yaw, final float partialTick) {
+        if (renderShadows && this.renderDispatcher.settings.fancyGraphics.value == 1 && getShadowSize(entity) > 0.0F) {
             final double distance = this.renderDispatcher.distanceToLerpSquared(entity.x, entity.y, entity.z);
-            final float opacity = (float)((1.0D - distance / 256D) * (double) this.shadowOpacity);
-            if(opacity > 0.0F)
-            {
+            final float opacity = (float) ((1.0D - distance / 256D) * (double) this.shadowOpacity);
+            if (opacity > 0.0F) {
                 renderShadow(tessellator, entity, x, y, z, opacity, partialTick);
             }
         }
-        if(entity.isOnFire())
-        {
+        if (entity.isOnFire()) {
             renderFire(tessellator, entity, x, y, z, partialTick);
         }
     }
 
-    public @NotNull FontRenderer getFont()
-    {
+    public @NotNull FontRenderer getFont() {
         return this.renderDispatcher.font;
     }
 
-    public @NotNull AABB entityViewBox(@NotNull final T entity) {
+    public @NotNull AABBdc entityViewBox(@NotNull final T entity) {
         return entity.bb;
     }
 }
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
index 68f357952..41592bc9b 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererDefault.java
@@ -5,12 +5,10 @@ import net.minecraft.core.entity.Entity;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.opengl.GL11;
 
-public class EntityRendererDefault extends EntityRenderer<Entity>
-{
+public class EntityRendererDefault extends EntityRenderer<Entity> {
     @Override
     public void render(@NotNull final Tessellator tessellator, @NotNull final Entity entity, final double x, final double y, final double z,
-                       final float yaw, final float partialTick)
-    {
+                       final float yaw, final float partialTick) {
         GL11.glPushMatrix();
         renderOffsetAABB(tessellator, entity.bb, x - entity.xo, y - entity.yo, z - entity.zo);
         GL11.glPopMatrix();
diff --git a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
index 06df18f9e..5a3948fa2 100644
--- a/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
+++ b/game/client/src/main/java/net/minecraft/client/render/entity/EntityRendererFallingBlock.java
@@ -11,7 +11,7 @@ import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.world.BlocksContainer;
-import net.minecraft.core.util.helper.MathHelper;
+import net.minecraft.core.world.pos.TilePos;
 import org.jetbrains.annotations.NotNull;
 import org.lwjgl.opengl.GL11;
 
@@ -24,13 +24,13 @@ public class EntityRendererFallingBlock extends EntityRenderer<EntityFallingBloc
     public EntityRendererFallingBlock()
     {
         super(0.5f);
-        mc = Minecraft.getMinecraft();
+        this.mc = Minecraft.getMinecraft();
     }
 
     @Override
     public void render(@NotNull Tessellator tessellator, @NotNull EntityFallingBlock fallingBlock, double x, double y, double z, float yaw, float partialTick) {
-        if (container == null || container.world != fallingBlock.world) {
-            container = new BlocksContainer(fallingBlock.world);
+        if (this.container == null || this.container.world != fallingBlock.world) {
+            this.container = new BlocksContainer(fallingBlock.world);
         }
         GL11.glPushMatrix();
         GL11.glTranslated(x, y, z);
@@ -39,7 +39,7 @@ public class EntityRendererFallingBlock extends EntityRenderer<EntityFallingBloc
         GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
         GL11.glEnable(GL11.GL_BLEND);
         GL11.glDisable(GL11.GL_CULL_FACE);
-        if(mc.isAmbientOcclusionEnabled())
+        if(this.mc.isAmbientOcclusionEnabled())
         {
             GL11.glShadeModel(GL11.GL_SMOOTH);
         } else
@@ -47,18 +47,16 @@ public class EntityRendererFallingBlock extends EntityRenderer<EntityFallingBloc
             GL11.glShadeModel(GL11.GL_FLAT);
         }
 
-        int blockX = MathHelper.floor(fallingBlock.x);
-        int blockY = MathHelper.floor(fallingBlock.y);
-        int blockZ = MathHelper.floor(fallingBlock.z);
+        TilePos blockPos = new TilePos(fallingBlock);
 
         tessellator.startDrawingQuads();
-        tessellator.setTranslation(-blockX - 0.5, -blockY - 0.5, -blockZ - 0.5);
+        tessellator.setTranslation(-blockPos.x - 0.5, -blockPos.y - 0.5, -blockPos.z - 0.5);
 
-        container.setLightReferenceEntity(fallingBlock);
-        container.setBlock(blockX, blockY, blockZ, fallingBlock.carriedBlock.blockId, fallingBlock.carriedBlock.metadata, fallingBlock.carriedBlock.entity);
-        BlockModelDispatcher.getInstance().getDispatch(Blocks.getBlock(fallingBlock.carriedBlock.blockId)).renderNoCulling(Tessellator.instance, container, blockX, blockY, blockZ);
-        container.setLightReferenceEntity(null);
-        container.clear();
+        this.container.setLightReferenceEntity(fallingBlock);
+        this.container.setBlock(blockPos.x, blockPos.y, blockPos.z, fallingBlock.carriedBlock.blockId, fallingBlock.carriedBlock.metadata, fallingBlock.carriedBlock.entity);
+        BlockModelDispatcher.getInstance().getDispatch(Blocks.getBlock(fallingBlock.carriedBlock.blockId)).renderNoCulling(Tessellator.instance, this.container, blockPos);
+        this.container.setLightReferenceEntity(null);
+        this.container.clear();
 
         tessellator.setTranslation(0.0D, 0.0D, 0.0D);
         tessellator.draw();
